## WebKitPermissionRequest WebKitPermissionRequest — A permission request |

## Functions

void | webkit_permission_request_allow ()
void | webkit_permission_request_deny ()

## Types and Values

| WebKitPermissionRequest

## Object Hierarchy

        GInterface
        ╰── WebKitPermissionRequest

## Prerequisites

WebKitPermissionRequest requires GObject.

## Known Implementations

WebKitPermissionRequest is implemented by WebKitGeolocationPermissionRequest, WebKitNotificationPermissionRequest and WebKitUserMediaPermissionRequest.

## Description

There are situations where an embedder would need to ask the user for permission to do certain types of operations, such as switching to fullscreen mode or reporting the user's location through the standard Geolocation API. In those cases, WebKit will emit a “permission-request” signal with a WebKitPermissionRequest object attached to it.

## Functions

### webkit_permission_request_allow ()

    void
    webkit_permission_request_allow (WebKitPermissionRequest *request);

Allow the action which triggered this request.

#### Parameters

request | a WebKitPermissionRequest |

### webkit_permission_request_deny ()

    void
    webkit_permission_request_deny (WebKitPermissionRequest *request);

Deny the action which triggered this request.

#### Parameters

request | a WebKitPermissionRequest |

## Types and Values

### WebKitPermissionRequest

    typedef struct _WebKitPermissionRequest WebKitPermissionRequest;

## See Also

WebKitWebView